## ubuntu-dev-tools 0.183

=== requirements.txt ===
python-debian
python-debianbts
distro-info
httplib2
launchpadlib
requests
setuptools
termcolor
pyyaml

## ubuntu-dev-tools 0.19

=== debian/changelog ===
ubuntu-dev-tools (0.19) gutsy; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * requestsync: allow to customize the SMTP server (LP: #144224)
  * Add a short description for requestsync to the README file.

  [ Laurent Bigonville ]
  * pbuilder-dist: Fix error on chroot creation (LP: #146475)
  * requestsync: allow to customize the SMTP port

  [ Adrien Cunin ]
  * README: minor and cosmetic changes

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 07 Oct 2007 00:24:46 +0200

ubuntu-dev-tools (0.18) gutsy; urgency=low

  * requestsync: add an option to "Add latest debian version to the title of
    the bug" (LP: #132221)

 -- Marco Rodrigues <gothicx@sapo.pt>  Fri, 05 Oct 2007 14:16:34 +0200

ubuntu-dev-tools (0.17) gutsy; urgency=low

  * submittodebian: backed out changes from last upload. This needs Debian Bug
    445144 fixed.
  * debian/control: don't Depends on a version of reportbug Ubuntu does not
    have yet.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 05 Oct 2007 11:44:51 +0200

ubuntu-dev-tools (0.16) gutsy; urgency=low

  [ Lucas Nussbaum ]
  * Added support for Bugs/Debian/Usertagging in submittodebian.

  [ Daniel Holbach ]
  * setup.py: actually install submittodebian.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 05 Oct 2007 11:05:29 +0200

ubuntu-dev-tools (0.15) gutsy; urgency=low

  [ Laurent Bigonville ]
  * update-maintainer: correctly pass path to dch (LP: #141015)

  [ Daniel Holbach ]
  * ppaput:
    - fix indentation issues.
    - now respects the PPA section the package goes to (LP: #146161)
    - add comment to bug about how to test the resulting .deb (LP: #145895)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 01 Oct 2007 15:56:18 +0200

ubuntu-dev-tools (0.14) gutsy; urgency=low

  * massfile: 
    - fixed bug where to find example files,
    - made url get checked beforehand.
    - fixed bug, where description and summary were not updated with the
      current source package.
  * examples/massfile.instructions: added example buglist-url.
  .
  Thanks Andrew Mitchell, for helping out by fixing and clever advise.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 27 Sep 2007 11:43:55 +0200

ubuntu-dev-tools (0.13) gutsy; urgency=low

  * massfile: added script to file mass-bugs.
  * debian/examples, examples/massfile.{instructions,list}: added example
    files.
  * setup.py: install massfile.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 27 Sep 2007 11:04:52 +0200

ubuntu-dev-tools (0.12) gutsy; urgency=low

  * hugdaylist: apply quick fix to not crash.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Sep 2007 09:43:30 +0200

ubuntu-dev-tools (0.11) gutsy; urgency=low

  [ Daniel Holbach ]
  * compare-packages, README: dropped compare-packages, debdiff has the same
    functionality, when used with --from --to or on *.changes files.
  * hugdaylist: prepare the list more carefully (filter out 'fixed committed'
    bugs and bugs that have ubuntu-*-sponsors subscribed.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Added a manpage for suspicious-source.
  * Fixed a bug in pbuilder-dist (it needed ftp.debian.org in sources.list to work with Debian).

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Sep 2007 09:39:24 +0200

ubuntu-dev-tools (0.10) gutsy; urgency=low

  * compare-packages: added script to compare the contents of 'old' and 'new'
    binary packages of the same source package. Useful to spot moved files,
    dropped files, etc.
  * README: briefly document added scripts.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 14 Sep 2007 11:23:36 +0200

ubuntu-dev-tools (0.9) gutsy; urgency=low

  * Added submittodebian.1

 -- Soren Hansen <soren@ubuntu.com>  Thu, 13 Sep 2007 14:38:49 +0200

ubuntu-dev-tools (0.8) gutsy; urgency=low

  * Renamed revuput to ppaput.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 13 Sep 2007 14:35:18 +0200

ubuntu-dev-tools (0.7) gutsy; urgency=low

  [Colin Watson]
  * Fix *roff use (hyphens vs. dashes, start each sentence on a new line).

  [Daniel Holbach]
  * revuput: deal with the case of NEW packages.
  * hugdaylist: added a tool to write Wiki lists of bugs in <buglist url> as
    in https://wiki.ubuntu.com/UbuntuBugDay/20070912
  * debian/control: bumped python-launchpad-bugs version.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Sep 2007 09:28:54 +0100

ubuntu-dev-tools (0.6) gutsy; urgency=low

  * Because I'm a bozo, fix up the version of the devscripts
    Conflicts/Replaces.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Sep 2007 10:46:21 +1000

ubuntu-dev-tools (0.5) gutsy; urgency=low

  * Add requestsync and its manual page from devscripts. (LP: #138885)
  * Add Conflicts/Replaces against devscripts 2.10.7ubuntu3.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 12 Sep 2007 01:14:04 +1000

ubuntu-dev-tools (0.4) gutsy; urgency=low

  * revuput: added a tool to upload packages to PPA and file sponsoring bugs
    automatically.
  * doc/revuput.1.docbook, debian/control, debian/rules: build manpage for it
    from DocBook.
  * setup.py: install it.
  * debian/control: add python-launchpad-bugs Depends.

  [Soren Hansen]
  * added submittodebian tool.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 07 Sep 2007 14:14:57 +0200

ubuntu-dev-tools (0.3) gutsy; urgency=low

  * debian/copyright: added Canonical copyright.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 04 Sep 2007 09:51:04 +0200

ubuntu-dev-tools (0.2) gutsy; urgency=low

  [ Martin Pitt ]
  * Add suspicious-source: Output a list of files which are not common source
    files. This should be run in the root of a source tree to find files which
    might not be the 'prefered form of modification' that the GPL and other
    licenses require.

  [ Luke Yelavich ]
  * Removed ubuntu-cd and ubuntu-sync. They are currently undergoing
    major reworking, and will be re-included when ready.

 -- Luke Yelavich <themuso@ubuntu.com>  Sat,  4 Aug 2007 08:30:01 +1000



=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XS-Vcs-Bzr: https://launchpad.net/ubuntu-dev-tools/
XS-Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
Build-Depends:  cdbs (>= 0.4.43), debhelper (>= 5), python-central (>= 0.5), python-all-dev (>= 2.4)
Build-Depends-Indep: docbook2x
XS-Python-Version: all
Standards-Version: 3.7.2

Package: ubuntu-dev-tools
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, binutils, devscripts, sudo, python-launchpad-bugs (>= 0.2.14), reportbug
Recommends: bzr, pbuilder
Conflicts: devscripts (<< 2.10.7ubuntu5)
Replaces: devscripts (<< 2.10.7ubuntu5)
XB-Python-Version: ${python:Versions}
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to
 make their packaging work a lot easier. Such tools can include bug
 filing, packaging preparation, package analysis, etc.
 .
 Homepage: https://launchpad.net/ubuntu-dev-tools/

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM       := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_ubuntu-dev-tools = doc/*.1

build/ubuntu-dev-tools::
	docbook2x-man doc/ppaput.1.docbook; mv ppaput.1 doc

clean::
	rm -f doc/ppaput.1

## ubuntu-dev-tools 0.30

=== debian/changelog ===
ubuntu-dev-tools (0.30) hardy; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * pbuilder-dist-simple, doc/pbuilder-dist-simple.1, setup.py:
     - Add the original pbuilder-dist script as pbuilder-dist-simple.
  * setup.py:
     - Really install reverse-build-depends (LP: #203523).
  * debian/source.lintian-overrides:
     - Override lintian's useless warnings (about this being a NMU).

  [ Adrien Cunin ]
  * debian/ubuntu-dev-tools.install: install bash_completion/pbuilder-dist in
    /etc/bash_completion.d/ instead of /etc/bash_completion.d/pbuilder-dist/
  * bash_completion/pbuilder-dist: apply the completion not only to
    pbuilder-dist but also to pbuilder-{hardy,sid,etc.}

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Tue, 08 Apr 2008 16:33:52 +0200

ubuntu-dev-tools (0.29) hardy; urgency=low

  * grab-attachments, setup.py: added grab-attachments tool. You give it bug
    numbers, it gets you their attachments. Useful for sponsoring. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 10 Mar 2008 11:31:50 +0100

ubuntu-dev-tools (0.28) hardy; urgency=low

  [ Adrien Cunin ]
  * pbuilder-dist:
     - Fixed minor bash syntax error
     - Removed quotes around the path when using --aptconfdir, otherwise
       pbuilder create fails

  [ Kees Cook ]
  * mk-sbuild-lv: add --personality option from Jamie Strandboge (LP: #199181)
  * check-symbols: rename temp files to avoid .so versioning confusion.

 -- Kees Cook <kees@ubuntu.com>  Thu, 06 Mar 2008 11:05:02 -0800

ubuntu-dev-tools (0.27) hardy; urgency=low

  [ Andrew Hunter ]
  * ppaput:
    - Separated ppaput script from backend python modules (LP: #192184).
    - Switched from homegrown option parseing to Optparse, much more
      robust and less code duplication.

  [ Daniel Holbach ]
  * README, debian/rules, doc/ppaput.1.docbook, ppaput, setup.py: removed
    ppaput for now. It has shortcomings and is not actively used in the
    sponsoring process (LP: #194634).

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * This upload removes accidentaly uploaded files (LP: #194635, #194618,
    #194621).
  * Remove executable bit from AUTHORS file (LP: #194619).
  * debian/control:
     - Change the Vcs-Bzr address to the correct one.
     - Move the reportbug dependency to Recommends.
     - Drop docbook2x build dependency (see Daniel's changes).
  * Move ppaput.py (the module) into new ubuntutools/ directory and
    remove it's shabang.
  * submittodebian:
     - Check if reportbug is installed and if it isn't throw an error.
  * suspicious-sources:
     - Ignore .in files.
  * pbuilder-dist:
     - Apply patch from James Westby to fix a problem where it always
       wanted to get the architecture to use as an option if a symlink
       was being used .
     - Fix a recently introduced problem where pbuilder-dist would always
       want to know the architecture if a symlink was being used. Thanks to
       Adrien Cunin and James Westby for their help on this (LP: #194633).
     - Escape many variables to avoid possible problems there.
     - Reorganize the code a bit and comment it.
     - Accept "upgrade" as an alias for "update".
     - Hide lsb_release's traceback if pbuilder-dist is manually aborted
       while the distribution was being detected.
  * 404main:
     - Try to filter out entries from Debian and PPAs, thanks to Adrien
       Cunin! (LP: #194704)
     - Add limited support for multiple distributions (and update they
       manpage to reflect this).
     - TODO: Use python-apt instead of lots of pipes.
  * debian/copyright.
     - Add ppaput (the executable has been removed for now -see above-,
       but there is still the module in the source package).
  * debian/pycompat:
     - Remove it, as it is not necessary for python-central.

  [ Terence Simpson ]
  * dgetlp:
     - Fix bug where optaining the .orig.tar.gz would fail if the package
       name contains hypens.
     - Add support for native packages.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 24 Feb 2008 19:11:06 +0100

ubuntu-dev-tools (0.26) hardy; urgency=low

  [ Stephan Hermann ]
  * pbuilder-dist: fixed a bug with the *sudo call.
    changed from $SUDOREPLACE "pbuilder" to $SUDOREPLACE -- pbuilder ...

  [ Daniel Hahler ]
  * requestsync:
    * If interaction is required (for an explanation to drop the Ubuntu
      changes), edit the report in the sensible-editor.
      When interaction is not required, ask the user if she wants to edit.
      (LP: #190351)
    * Exit, if versions in Ubuntu and Debian are the same already.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * Add manpages for update-maintainer and 404main.
  * Move pbuilder-dist.bash_completion into new bash_completion/
    directory and tell dh_install to take care of the stuff there.
  * Let update-maintainer also accept --no-changelog (in addition to
    the current --nochangelog), improve its error messages and change
    the default section to universe.
  * Add AUTHORS section to doc/check-symbols.1, and little changes to
    doc/suspicious-source.1.
  * Fix some issues with the new pbuilder-dist code.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 17 Feb 2008 19:35:46 +0100

ubuntu-dev-tools (0.25) hardy; urgency=low

  [ Michael Bienia ]
  * requestsync:
    + Add work-around for a bug in Debian's madison.php not returning only the
      'source' line (LP: #183346).
    + Add support to file sync requests with python-launchpad-bugs (--lp)
      (LP: #147994).
    + Add line editing during input.
  * doc/requestsync.1:
    + Document new requestsync options.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * what-patch:
     - Print a list of files that have been modified outside the
       debian/ directory (LP: #174933).
     - Add -h and -q options.
     - Add proper exit values.
  * debian/control:
     - Bump standards version to 3.7.3.


=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5), python-all-dev (>= 2.4)
Build-Depends-Indep: python-central (>= 0.5)
XS-Python-Version: all
Homepage: https://launchpad.net/ubuntu-dev-tools/
Standards-Version: 3.7.3

Package: ubuntu-dev-tools
Architecture: all
Section: devel
Depends: ${python:Depends}, binutils, devscripts, sudo, python-launchpad-bugs (>= 0.2.25), python-debian, dctrl-tools, lsb-release
Recommends: bzr, pbuilder, reportbug (>= 3.39ubuntu1)
Conflicts: devscripts (<< 2.10.7ubuntu5)
Replaces: devscripts (<< 2.10.7ubuntu5)
XB-Python-Version: ${python:Versions}
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to
 make their packaging work a lot easier. Such tools can include bug
 filing, packaging preparation, package analysis, etc.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_ubuntu-dev-tools = doc/*.1

binary-install/ubuntu-dev-tools::
	rm -rf debian/ubuntu-dev-tools/usr/lib

## ubuntu-dev-tools 0.46

=== debian/changelog ===
ubuntu-dev-tools (0.46) intrepid; urgency=low

  [ Daniel Hahler ]
  * submittodebian: use "intrepid" for Usertags (LP: #276073)

  [ Matt Zimmerman ]
  * add new program 'ubuntuiso' which prints information about Ubuntu isos by
    extracting files from them
  * Add Recommends: genisoimage for ubuntuiso

  [ Colin Watson ]
  * update-maintainer: Convert to plain #! /bin/sh.

  [ Cesare Tirabassi ]
  * remove -X option from grep-dctrl. It doesn't obtain the wished behaviour.

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 02 Oct 2008 22:34:44 +0100

ubuntu-dev-tools (0.45) intrepid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * common.py:
     - Trying to read from a locked sqlite cookie database isn't a fatal
       error anymore.

  [ Adrien Cunin ]
  * update-maintainer:
     - check at the beginning of the script that the necessary files are
       readable/writable, and note which control files we are going to modify
     - at the end, only modify those control files, so that the script doesn't
       return 1 anymore when it was actually successful
  * pbuilder-dist:
     - Eliminated some warning with a better check for whether a given distro
       already has a pbuilder chroot in $BASE_DIR, when that distro is not
       known by the script
     - Added intrepid as a known distro
  * Return to previous versioning, without the ubuntu1 bit

  [ Jonathan Patrick Davies ]
  * buildd: Revert arch:status string format.

  [ Cesare Tirabassi ]
  * reverse-build-depends:
    - add -X option to grep-dctrl so that it only works with exact matches
      (LP: #272273).

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 24 Sep 2008 16:01:09 +0200

ubuntu-dev-tools (0.44ubuntu1) intrepid; urgency=low

  * Bazaar revision 203.

  [ Colin Watson ]
  * Fix a number of minor glitches in manual pages.

  [ Jonathan Patrick Davies ]
  * debian/control:
    - Improved description.
    - Wrapped Depends line and bumped debhelper build-dependency version to 6.
  * debian/compat: Changed to 6.
  * Moved https_proxy dropping code to common.py.
  * requestsync: Check for already existing sync requests before filing a new
    one.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 02 Sep 2008 21:43:49 +0100

ubuntu-dev-tools (0.43ubuntu1) intrepid; urgency=low

  * Bazaar revision 195.

  [ Jonathan Patrick Davies ]
  * common.py:
    - If loading a cookie file raises an exception exit. 
    - Improve cookie file writing.
    - New function: isLPTeamMember() - checks if the user is a member of the
      Launchpad team using cookies for authentication.
    - New function: packageComponent() - returns which component a package in
      Ubuntu is in.
  * requestsync:
    - Return an error when the script is unable to connect to
      packages.debian.org (LP: #261916).
    - Adapt team checking with the function above.
  * buildd:
    - Adapt privilege checking code to the new function above.
    - Check which component the package is in.

  [ Ryan Kavanagh ]
  * dgetlp.1: New manpage
  * dgetlp: fix typo in usage
  * hugdaylist.1: New manpage
  * s/requestsync/pull-lp-source/g in doc/pull-lp-source.1
  * mk-sbuild-lv.1: New manpage

  [ Karl Goetz ]
  * Add a Recommends: on ca-certificates (LP: #247157).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 31 Aug 2008 11:40:30 +0200

ubuntu-dev-tools (0.42ubuntu1) intrepid; urgency=low

  [Jonathan Patrick Davies]
  * requestsync: Exit when connecting to Launchpad fails.
  * doc/requestsync.1: Document new -d flag.
  * common.py: New functions: checkReleaseExists() and checkSourceExists().
  * buildd and pull-lp-source: Adapt code to use new functions above.

  [ Jelmer Vernooij ]
  * requestsync: Add -d option to allow overriding the Debian distro to sync
  from. (LP: #253497)

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 24 Aug 2008 21:43:30 +0100

ubuntu-dev-tools (0.41) intrepid; urgency=low

  [ Loic Minier ]
  * Replace .BB in doc/pbuilder-dist.1 with a newline to fix a syntax error.
  * Drop spurious tab in buildd.
  * When https_proxy is in the environment, output a warning and disable it as
    urllib/urllib2 don't support it; see LP #122551.

  [ Kees Cook ]
  * common.py: allow for multiple firefox instances, check all possible
    cookie files.

 -- Kees Cook <kees@ubuntu.com>  Wed, 20 Aug 2008 10:58:24 -0700

ubuntu-dev-tools (0.40ubuntu3) intrepid; urgency=low

  * Import urllib2.

 -- Loic Minier <lool@dooz.org>  Mon, 18 Aug 2008 12:07:27 +0200

ubuntu-dev-tools (0.40ubuntu2) intrepid; urgency=low

  * requestsync: Correct print statement redirect to sys,stderr. 

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Mon, 18 Aug 2008 10:59:59 +0100

ubuntu-dev-tools (0.40ubuntu1) intrepid; urgency=low

  * Bazaar revision 174.
  * buildd: Code cleanup on single arch options.
  * doc/buildd.1: Created.
  * doc/requestsync.1: Added note about sponsorship detecting.
  * requestsync: Suggest using the --lp flag when mailing a request encounters
    a failure.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sat, 16 Aug 2008 23:38:41 +0100

ubuntu-dev-tools (0.39ubuntu1) intrepid; urgency=low

  * Bazaar revision 169.

  [ Jonathan Patrick Davies ]
  * common.py: Use os.path.expanduser() instead of os.environ.
  * buildd:
    - Added optparse support for option handling.
    - Added support to request the rebuilding or rescoring of only one
      architecture.
    - Various other improvements.
  * hugdaylist: Improved number of bugs option handling.
  * get-branches: Improved option handling.

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add sbuild as an alternative recommends to pbuilder.
  * what-patch, pull-debian-debdiff, mk-sbuild-lv, dch-repat, debian/copyright:
     - Change the license of all scripts from Kees Cook to the GPL version 3
       or later.
     - Order the script names alphabetically in debian/copyright.
  * common.py:
     - Add functions mkdir and readlist.

  [ Iain Lane ]


=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 6), python-all-dev (>= 2.4)
Build-Depends-Indep: python-central (>= 0.5)
XS-Python-Version: >= 2.5
Homepage: https://launchpad.net/ubuntu-dev-tools/
Standards-Version: 3.8.0

Package: ubuntu-dev-tools
Architecture: all
Section: devel
Depends: ${python:Depends}, binutils, devscripts, sudo, python-debian,
  python-launchpad-bugs (>= 0.2.25), dctrl-tools, lsb-release, diffstat,
  dpkg-dev
Recommends: bzr, pbuilder | sbuild, reportbug (>= 3.39ubuntu1),
  ca-certificates, genisoimage
Conflicts: devscripts (<< 2.10.7ubuntu5)
Replaces: devscripts (<< 2.10.7ubuntu5)
XB-Python-Version: ${python:Versions}
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools can include bug filing, build rebuilding, packaging preparation
 and package analysis, among other things.

## ubuntu-dev-tools 0.63~intrepid1

=== debian/changelog ===
ubuntu-dev-tools (0.63~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Siegfried Gevatter (RainCT) <siggi.gevatter@gmail.com>  Fri, 06 Feb 2009 11:14:15 +0000

ubuntu-dev-tools (0.63) jaunty; urgency=low

  * debian/links: add it (forgot to do so before).
  * bash-completion/pbuilder-dist: recognize cowbuilder- and -jaunty.
  * pbuilder-dist:
     - Fixed a bug which broke pbuilder-dist when "build" was omited; just
       giving a .dsc works now.
     - {p,cow}builder-dist will now complain if you try to build a .changes
       file (or anything else that isn't a .dsc).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 05 Feb 2009 16:19:03 +0100

ubuntu-dev-tools (0.62) jaunty; urgency=low

  * Fix ubuntutools.lp.libsupport import in lp-set-dup.

 -- Loic Minier <lool@dooz.org>  Wed, 04 Feb 2009 12:04:47 +0100

ubuntu-dev-tools (0.61) jaunty; urgency=low

  [ Terence Simpson ]
  * dgetlp: Replaced Bash version with a new Python script.

  [ Luca Falavigna ]
  * setup.py: install ubuntutools/lp files.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 03 Feb 2009 13:34:42 +0100

ubuntu-dev-tools (0.60) jaunty; urgency=low

  [ Jonathan Davies ]
  * ubuntutools/common.py: Now split into multiple files depending on
    function.
  * Adjusted imports on all files as necessary for the change above.
  * Removed ubuntutools/misc.py's mkdir function - superseded by
    os.makedirs().
  * dgetlp: Improved error message to show that dgetlp only accepts HTTP
    URLs (LP: #322051).

  [ Iain Lane ]
  * requestsync: Only attempt to change bug importance if in ubuntu-dev, as it
    will fail otherwise (LP: #320984).
  * ubuntutools/lp/functions.py: Rename urlopener import as it conflicts with
    a variable, causing an error.

  [ Luca Falavigna ]
  * pull-debian-source: do not fail if package name contains a hypen.
  * buildd: display help message if no parameters are passed.

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 01 Feb 2009 10:55:42 +0000

ubuntu-dev-tools (0.59) jaunty; urgency=low

  * Move /etc/bash_completion.d/pbuilder-dist/pbuilder-dist created in
    pre-0.30 versions to /etc/bash_completion.d/pbuilder-dist in the preinst.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Jan 2009 18:02:55 +0100

ubuntu-dev-tools (0.58) jaunty; urgency=low

  [ Loic Minier ]
  * Fix a bunch of hyphen-used-as-minus-sign lintian informational tags.
  * Don't repeat Section in the binary package's control chunk (pleases
    lintian).
  * New script, lp-set-dup, allows marking a bug and all its dups as a
    duplicate of a new main bug.
   * Re-add debian/pycompat to have an idempotent clean:: as cdbs creates the
     file during clean; Debian #512300.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Jan 2009 17:45:26 +0100

ubuntu-dev-tools (0.57) jaunty; urgency=low

  * requestsync: Skip existing bug check if no credentials are
    found (LP: #318120).

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 17 Jan 2009 22:02:39 +0000

ubuntu-dev-tools (0.56) jaunty; urgency=low

  * manage-credentials: Tighted security by making credentials files and
    folder world unreadable.
  * common.py: Improved no credentials found error message to show which
    consumer token is needed.
  * requestsync: Catch credentials error to hide traceback.
  * Moved common.py to ubuntutools/ subdirectory to avoid possible conflicts
    in Python packaging and fixed all imports as necessary.
  * debian/ubuntu-dev-tools.install: Removed common.py entry. 

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 17 Jan 2009 11:32:33 +0000

ubuntu-dev-tools (0.55) jaunty; urgency=low

  * manage-credentials: Use common.py's mkdir function to create as many
    subdirectories as necessary for the credentials directory (LP: #317317).

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 15 Jan 2009 12:33:31 +0000

ubuntu-dev-tools (0.54) jaunty; urgency=low

  * manage-credentials:
    - Save credentials to ~/.cache/lp_credentials/ by
      default.
    - Set service option default to edge.
  * doc/manage-credentials.1: Update as necessary for the above.
  * common.py:
    - When credentials are not found, ask user to see
      manage-credentials manpage.
    - Load all token files for the consumer specified in the above
      directory as necessary. 

 -- Jonathan Davies <jpds@ubuntu.com>  Wed, 14 Jan 2009 19:39:35 +0000

ubuntu-dev-tools (0.53) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/copyright:
     - Add information about manage-credentials.

  [ Daniel Holbach ]
  * debian/control: replace 'sb-release' with lsb-release, make package 
    installable again.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 14 Jan 2009 16:27:34 +0100

ubuntu-dev-tools (0.52) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist.new:
    - Add compatibility for cowbuilder.
    - Fix the mainonly support.
    - Rename build.log to last_operation.log.
  * pbuilder-dist, pbuilder-dist.new:
    - Replace pbuilder-dist with pbuilder-dist.new.
  * debian/links:
    - Symlink /usr/bin/cowbuilder-dist to /usr/bin/pbuilder-dist, and the
      same with the manpage.
  * debian/control:
    - Add cowdancer as alternative recommends to pbuilder.
  * doc/pbuilder-dist.1:
    - Update it to explain the usage for the new pbuilder-dist script.
  * doc/mk-sbuild-lv.1:
    - Fix an error (and get ride of a lintian warning).

  [ Nathan Handler ]
  * pull-debian-source:
    - Pass -xu arguments to dget to be consistant with pull-lp-source
    - Add support for packages with a name beginning with "lib" (LP: #314732)

  [ Kees Cook ]
  * mk-sbuild-lv:
    - add --skip-updates to allow building security-only chroots.
    - add "apt-utils" as a default package for sane dist-upgrades.

  [ Jonathan Davies ]
  * buildd: Don't show arch override message if operation to perform is
    'status'. 
  * requestsync: If package is new, check the Ubuntu Archive team's bug list


=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
 
 Package: ubuntu-dev-tools
 Architecture: all
-Section: devel
 Depends: ${python:Depends}, binutils, devscripts, sudo, python-debian,
-  python-launchpad-bugs (>= 0.2.25), dctrl-tools, lsb-release, diffstat,
-  dpkg-dev
-Recommends: bzr, pbuilder | sbuild, reportbug (>= 3.39ubuntu1),
-  ca-certificates, genisoimage
+  python-launchpad-bugs (>= 0.2.25), python-launchpadlib, dctrl-tools,
+  lsb-release, diffstat, dpkg-dev, ${misc:Depends}
+Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
+  ca-certificates, genisoimage, perl-modules, libwww-perl
 Conflicts: devscripts (<< 2.10.7ubuntu5)
 Replaces: devscripts (<< 2.10.7ubuntu5)
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_ubuntu-dev-tools = doc/*.1

## ubuntu-dev-tools 0.72

=== debian/changelog ===
ubuntu-dev-tools (0.72) jaunty; urgency=low

  [ Jonathan Davies ]
  * README.updates: Added - lists steps to take when updating this package.
  * grab-merge: Added --help option and manpage (LP: #349109).

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Add squeeze as a Debian distribution. Thanks to Marco Rodrigues.

  [ Nathan Handler ]
  * pull-debian-source:
    - Add support for etch/oldstable
    - Make script work for codenames (etch, lenny, squeeze, sid)

  [ Ryan Kavanagh ]
  * Ported devscripts' build-rdeps to Ubuntu and replaced
    reverse-build-depends. Updated it's manpage. (LP: #272273)

  [ Kees Cook ]
  * mk-sbuild-lv:
    - Fully handle missing build log directories (LP: #342154).
    - More generalized approach to Distro-specific logic (LP: #342158).

  [ Scott Kitterman ]
  * dgetlp:
    - Port to hashlib module instead of md5 (deprecated in Python 2.6)
  * Bump minimum python-all-dev version to 2.5

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Apr 2009 22:51:14 -0400

ubuntu-dev-tools (0.71) jaunty; urgency=low

  * requestsync: Fix unclosed string literal (LP: #346794)

 -- Iain Lane <laney@ubuntu.com>  Sun, 22 Mar 2009 14:40:19 +0000

ubuntu-dev-tools (0.70) jaunty; urgency=low

  [ Mitsuya Shibata ]
  * requestsync: Added -e option for FeatureFreezeException explanations and
    updated manpage.

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 19 Mar 2009 19:54:13 +0000

ubuntu-dev-tools (0.69) jaunty; urgency=low

  * mk-sbuild-lv: add --force-yes when installing $BUILD_PKGS (needed for
    Dapper at least)
  * mk-sbuild-lv: update sed command to use '-i' instead of redirecting
    output to the opened file

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Mar 2009 11:28:38 -0500

ubuntu-dev-tools (0.68) jaunty; urgency=low

  * debian/control: Moved debootstrap to Recommends from Depends.

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 15 Mar 2009 15:30:48 +0000

ubuntu-dev-tools (0.67) jaunty; urgency=low

  [ Jonathan Davies ]
  * mk-sbuild-lv: Changed default behaviour so that the initial build and log
    directories are not created on first run; instead read settings file and
    check if they exist (LP: #342154).
  * requestsync: Reverted old madison.php workaround (LP: #183346).

  [ Ryan Kavanagh ]
  * mk-sbuild-lv: Added support for Debian chroots. Updated manpage.
    (LP: #342158)

  [ Mitsuya Shibata ]
  * pull-debian-source: Detect existence of dget in multi-path environment.

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 14 Mar 2009 22:40:05 +0000

ubuntu-dev-tools (0.66) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add "debootstrap" as a Recommends (LP: #334848).
  * pbuilder-dist:
     - Better error messages if cowbuilder/pbuilder/debootstrap isn't installed.

  [ Marco Rodrigues ]
  * Remove workaround for Debian madison, it works fine now.

  [ Nathan Handler ]
  * pull-debian-source:
    - Check if 'dget' is available
    - Update Copyright/License info
  * debian/copyright:
    - Update my copyright information

  [ Jonathan Davies ]
  * Added grab-merge from merges.ubuntu.com (LP: #155098).

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 09 Mar 2009 17:01:19 +0000

ubuntu-dev-tools (0.65) jaunty; urgency=low

  [ Colin Watson ]
  * manage-credentials: Fix typo.

  [ Jonathan Davies ]
  * requestsync: Only check existing reports if the --lp flag is used.

  [ Luca Falavigna ]
  * Add per-package upload permission checks:
    - ubuntutools/lp/functions.py: implement isPerPackageUploader.
    - requestsync: check if submitter has per-package upload permission
      using isPerPackageUploader function and adjust report accordingly.

  [ Iain Lane ]
  * requestsync: Drop "please" in bug titles, per recent discussion on the
    ubuntu-bugsquad ML.

 -- Jonathan Davies <jpds@ubuntu.com>  Tue, 03 Mar 2009 19:55:19 +0000

ubuntu-dev-tools (0.64) jaunty; urgency=low

  * Import urllib2 and sys in lp/functions.py, fixing requestsync.
  * Import ubuntutools.common explicitely in buildd and requestsync to get the
    https_proxy fix.

 -- Loic Minier <lool@dooz.org>  Fri, 06 Feb 2009 12:18:13 +0100

=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 6), python-all-dev (>= 2.5)
Build-Depends-Indep: python-central (>= 0.5)
XS-Python-Version: >= 2.5
Homepage: https://launchpad.net/ubuntu-dev-tools/
Standards-Version: 3.8.0

Package: ubuntu-dev-tools
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, binutils, devscripts, sudo,
 python-debian, python-launchpad-bugs (>= 0.2.25), python-launchpadlib,
 dctrl-tools, lsb-release, diffstat, dpkg-dev
Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
 ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl
Conflicts: devscripts (<< 2.10.7ubuntu5)
Replaces: devscripts (<< 2.10.7ubuntu5)
XB-Python-Version: ${python:Versions}
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools can include bug filing, build rebuilding, packaging preparation
 and package analysis, among other things.

## ubuntu-dev-tools 0.73~jaunty1

=== debian/changelog ===
ubuntu-dev-tools (0.73~jaunty1) jaunty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 04 May 2009 10:39:27 +0100

ubuntu-dev-tools (0.73) karmic; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
    - Fallback to calling lsb_release if /etc/lsb-release doesn't
       exist; this makes it possible to run pbuilder-dist on Debian.

  [ Nathan Handler ]
  * pull-debian-source:
    - Use Getopt::Long

  [ Colin Watson ]
  * submittodebian:
    - New release cycle; use "karmic" usertag.
  * dch-repeat:
    - Drop EOLed gutsy and add karmic.
  * pull-lp-source:
    - Set default release to karmic.
  * reverse-build-depends:
    - Set default release to karmic.
  * bash_completion/pbuilder-dist:
    - Add karmic.
    - Add squeeze.
  * requestsync:
    - Send a "Content-Type: text/plain; charset=UTF-8" header (LP: #246307).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Apr 2009 21:39:15 +0100

## ubuntu-dev-tools 0.81

=== debian/changelog ===
ubuntu-dev-tools (0.81) karmic; urgency=low

  [ Iain Lane ]
  * requestsync: Give an error message if no changelog entries - happens if,
    for example, the new package's changelog hasn't yet been published on p.d.o
  * update-maintainer: Also check if package is in experimental when looking
    who to update maintainer to. 
  * update-maintainer: Prefer updating control.in to control; this is used by
    some Debian packages, notably those maintained by pkg-gnome.
  * debian/control: Update standards-version to 3.8.3, no changes
  * debian/control, debian/pyversions: Remove XS-Python version to
    debian/pyversions to silence a warning

  [ Jonathan Davies ]
  * debian/control: Included a short description of each script (LP: #406658).

  [ Nathan Handler ]
  * debian/control: Mention pull-revu-source in description

  [ Joe Bernard ]
  * Launchpad API changed causing pull-lp-source to fail to parse the .dsc
    file from the URL contents (LP: #436006).

 -- Iain Lane <laney@ubuntu.com>  Fri, 25 Sep 2009 20:20:49 +0100

ubuntu-dev-tools (0.80) karmic; urgency=low

  * mk-sbuild-lv: Export http_proxy. LP: #416438
   
 -- Michael Terry <michael.terry@canonical.com>  Thu, 10 Sep 2009 10:53:30 -0400

ubuntu-dev-tools (0.79) karmic; urgency=low

  * Add lp-project-upload: Upload a release tarball to a Launchpad project.
  * Add doc/lp-project-upload.1: Corresponding manpage.
  * setup.py: Add lp-project-upload.
  * debian/copyright: Add lp-project-upload.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 05 Sep 2009 16:42:10 +0200

ubuntu-dev-tools (0.78) karmic; urgency=low

  [ Nathan Handler ]
  * setup.py: Add pull-revu-source to list of scripts

  [ Steve Langasek ]
  * Set XS-Python-Version to 2.6 or better, due to use of 2.6-specific
    syntax in requestsync.
  * Bump the python-all-dev build-dep as well

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Sep 2009 12:17:03 -0700

ubuntu-dev-tools (0.77) karmic; urgency=low

  [ Nathan Handler ]
  * pull-revu-source: Update to use dsc.py to get dsc URL

  [ Michael Bienia ]
  * Install also the ubuntutools/requestsync/* modules (lp: #421627)

 -- Michael Bienia <geser@ubuntu.com>  Tue, 01 Sep 2009 10:56:29 +0200

ubuntu-dev-tools (0.76) karmic; urgency=low

  [ Nicolas Valcárcel ]
  * mk-sbuild-lv:
    - Add check for built-in dm_snapshot (LP: #398414)

  [ Andreas Moog ]
  * update-maintainer:
    - Don't silently fail when Maintainer-Field contains a comment
      in brackets. (LP: #397144)
    - Don't add second XSBC-Original-Maintainer if Maintainer was set
      to Motu or Core-Dev.

  [ Michael Bienia ]
  * Drop python-launchpad-bugs from Depends.
  * Add python-lazr-restfulclient to Depends.
  * buildd: Add a --batch mode for batch retrying/rescoring of packages.
  * requestsync:
    - Use UBU* environment variables before the DEB* ones (lp: #400133)
    - Split requestsync into a "mail" module and a "lpapi" module and use
      the LP API only when --lp was used. In "mail" mode requestsync has
      to ask some more questions for parts it can't find out without LP API.
      (lp: #406659, #416955)

  [ Iain Lane ]
  * requestsync:
    - Guard some calls when -n is specified
    - Fetch changelog of specified version, not current version. If an
      experimenal upload happened after the unstable one we're syncing, this
      is considered to be current by p.d.o and we would get those changelog
      entries in the sync request
    - Remove trailing fullstop from sync bug title
  * suspicious-source: Add *.hs *.el *.css to whitelist

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Expand "~" in PBUILDFOLDER to the user's home directory.
     - If there's a "etc/<distro>/apt.conf" file inside the build result
       directory, pass it to pbuilder as --aptconfdir. Thanks to Paul Novotny
       and Ryan Pavlik (LP: #363043).

  [ Luca Falavigna ]
  * Switch to python-support to ease initial import into Debian:
    - debian/control: build-depend on python-support instead of pycentral,
      also remove unneeded XB-Python-Version field from binary stanza.
    - debian/rules: set DEB_PYTHON_SYSTEM to pysupport.
    - ubuntu-dev-tools.preinst: remove stale pycentral files on upgrades.

  [ Nathan Handler ]
  * Add pull-revu-source and doc/pull-revu-source.1
  * Update debian/copyright to include pull-revu-source

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 30 Aug 2009 17:24:23 +0000

ubuntu-dev-tools (0.75) karmic; urgency=low

  [ Michael Bienia ]
  * buildd:
    - Use the LP API for retrying or rescoring builds.
  * requestsync:
    - Fix check for sponsorship when a new package should get synced.
    - Add "done" as last email command when emailing the sync request
      to stop parsing of the email body for further email commands 
      (lp: #372555)

  [ Jonathan Davies ]
  * update-maintainer:
    - Rewrote in Python and adapted to use Maintainer field spec approved by
      the Technical Board at:
      - https://lists.ubuntu.com/archives/ubuntu-devel/2009-May/028213.html
    - Do not make changes if maintainer email is set to an
      @ubuntu.com email address.
  * requestsync:
    - Adapt to use new checkIsInDebian() function in ubuntutools/packages.py.
    - urlopener module is no longer required here.
  * pull-lp-source:
    - Return an error message if dget is not installed.
    - Use os.path.exists() instead of catching an error message
      to check if dget is installed.
  * TODO: pull-lp-source task done.
  * ubuntutools/packages.py: Created checkIsInDebian() function.
  * ubuntutools/lp/functions.py: Improved error messages, and made prettier
    functions.
  * ubuntutools/lp/libsupport.py: Fail if we're unable to import launchpadlib
    (we need it to run stuff).
  * ubuntutools/lp/urlopener.py: Removed - module no longer needed.
  * ubuntutools/lp/cookie.py: Removed - module no longer needed - we use
    Launchpad API support now.
  * buildd:


=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk
Vcs-Browser: http://codebrowse.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/changes
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 6), python-all-dev (>= 2.6)
Build-Depends-Indep: python-support (>= 0.5.3)
Homepage: https://launchpad.net/ubuntu-dev-tools/
Standards-Version: 3.8.3

Package: ubuntu-dev-tools
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, binutils, devscripts, sudo,
 python-debian, python-launchpadlib, dctrl-tools, lsb-release, diffstat,
 dpkg-dev, python-apt (>= 0.7.9), python-lazr-restfulclient
Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
 ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl
Conflicts: devscripts (<< 2.10.7ubuntu5)
Replaces: devscripts (<< 2.10.7ubuntu5)
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools include:
 .
  - 404main - used to check what components a package's deps are in, for
    doing a main inclusion report for example.
  - buildd - give commands to the Launchpad build daemons from the command line.
  - check-symbols - will compare and give you a diff of the exported symbols of
    all .so files in a binary package.
  - dch-repeat - used to repeat a change log into an older release.
  - dgetlp - download a source package from the Launchpad library.
  - get-branches - used to branch/checkout all the bzr branches in a Launchpad
    team.
  - get-build-deps - install the build dependencies needed for a package
    reading debian/control.
  - grab-attachments - download all bug attachments from a Launchpad bug
    report.
  - grab-merge - grabs a merge from merges.ubuntu.com easily.
  - hugdaylist - compile HugDay lists from bug list URLs.
  - lp-set-dup - sets the "duplicate of" bug of a bug and its dups.
  - manage-credentials - manage Launchpad token credentials.
  - massfile - fill multiple bugs using a template.
  - mk-sbuild-lv - script to create LVM snapshot chroots via schroot and
    sbuild.
  - pbuilder-dist - pbuilder wrapper script.
  - pull-debian-debdiff - attempts to find and download a specific version of
    a Debian package and its immediate parent to generate a debdiff.
  - pull-debian-source - downloads the lastest source package available in
    Debian of a package.
  - pull-lp-source - downloads lastest source package from Launchpad.
  - pull-revu-source - downloads the latest source package from REVU
  - requestsync - files a sync request with Debian changelog and ratione.
  - reverse-build-depends - find the reverse build dependencies that a package
    has.
  - submittodebian - automatically send your changes to Debian as a bug report.
  - suspicious-source - outputs a list of files which are not common source
    files.
  - ubuntu-iso - output information of an Ubuntu ISO image.
  - update-maintainer - script to update maintainer field in ubuntu packages.
  - what-patch - determines what patch system, if any, a source package is
    using.

## ubuntu-dev-tools 0.81.2

=== debian/changelog ===
ubuntu-dev-tools (0.81.2) karmic-proposed; urgency=low

  * Backporting fixes from Lucid to fix problem: requestsync does not see
    latest Debian version when multiple versions present (LP: #503111):
    - pull-debian-source: Return the most recent source line. Depend on
      libapt-pkg-perl for the Debian version comparison required for this.
    - ubuntutools/requestsync/mail.py: rmadison() returns now the most recent
      source line.

 -- Kamal Mostafa <kamal@whence.com>  Mon, 04 Jan 2010 11:27:58 -0800

ubuntu-dev-tools (0.81.1) karmic-proposed; urgency=low

  * Change defaults for requestsync and pull-debian-source from 'unstable' to
    'testing' (lp: #472824)

 -- Michael Bienia <geser@ubuntu.com>  Sat, 07 Nov 2009 16:05:13 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  python-debian, python-launchpadlib, dctrl-tools, lsb-release, diffstat,
  dpkg-dev, python-apt (>= 0.7.9), python-lazr-restfulclient
 Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
- ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl
+ ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl,
+ libapt-pkg-perl
 Conflicts: devscripts (<< 2.10.7ubuntu5)
 Replaces: devscripts (<< 2.10.7ubuntu5)
 Description: useful tools for Ubuntu developers
